> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.sellercenter.pe/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.sellercenter.pe/_mcp/server.

# 1. Iniciar manejo

POST https://inretailqa.mysellercenter.com/sellercenter/api/v1/orders/{orderId}/start-handling

**Paso 1.** Indica que aceptaste la orden y comenzaste a prepararla.

* Estado requerido: `ready-for-handling`.
* Estado resultante: `handling`.
* Sin body.
* Si la orden no está en `ready-for-handling` responde `400` (`{"message": null}`); si no existe o es de otra tienda, `401 Access is denied`.

> Inicia el manejo lo antes posible. Si no lo haces, se puede generar una controversia `NRH` (*Seller no inició manejo*).

Reference: https://developers.sellercenter.pe/referencia-de-la-api/ordenes/iniciar-manejo

## Authentication

- `Authorization` header (bearer token, required) — `accessToken` obtenido en **Login**. Dura 24 horas.

## Servers

- `https://inretailqa.mysellercenter.com/sellercenter/api/v1` (QA, default)
- `https://inretail.mysellercenter.com/sellercenter/api/v1` (PRD)

## Request

### Path parameters

- `orderId` (string, required) — Número de orden en estado `ready-for-handling`.

## Response

### 200

Manejo iniciado

## Errors

### 400 Bad Request Error

La orden no está en ready-for-handling

- `message` (any, optional)

### 401 Unauthorized Error

Orden inexistente o de otro seller

- `message` (string, optional)

## Examples

**Response**

```json
{}
```

**SDK Code**

```python Ordenes_iniciarManejo_example
import requests

url = "https://inretailqa.mysellercenter.com/sellercenter/api/v1/orders/1673830516396-01/start-handling"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Ordenes_iniciarManejo_example
const url = 'https://inretailqa.mysellercenter.com/sellercenter/api/v1/orders/1673830516396-01/start-handling';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Ordenes_iniciarManejo_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://inretailqa.mysellercenter.com/sellercenter/api/v1/orders/1673830516396-01/start-handling"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Ordenes_iniciarManejo_example
require 'uri'
require 'net/http'

url = URI("https://inretailqa.mysellercenter.com/sellercenter/api/v1/orders/1673830516396-01/start-handling")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Ordenes_iniciarManejo_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://inretailqa.mysellercenter.com/sellercenter/api/v1/orders/1673830516396-01/start-handling")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Ordenes_iniciarManejo_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://inretailqa.mysellercenter.com/sellercenter/api/v1/orders/1673830516396-01/start-handling', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Ordenes_iniciarManejo_example
using RestSharp;

var client = new RestClient("https://inretailqa.mysellercenter.com/sellercenter/api/v1/orders/1673830516396-01/start-handling");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Ordenes_iniciarManejo_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://inretailqa.mysellercenter.com/sellercenter/api/v1/orders/1673830516396-01/start-handling")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```